Revision history [back]

The example on which you base your program uses Identity API version 2. Your cloud probably has version 3. You need more environment variables, e.g. OS_IDENTITY_API_VERSION, OS_USER_DOMAIN_ID etc. I recommend https://docs.openstack.org/python-openstackclient/latest/cli/authentication.html for more info.

The example on which you base your program uses Identity API version 2. Your cloud probably has version 3. You need more environment variables, e.g. OS_IDENTITY_API_VERSION, OS_USER_DOMAIN_ID etc. I recommend https://docs.openstack.org/python-openstackclient/latest/cli/authentication.html for more info.

Up to date OpenStackSDK documentation is at https://docs.openstack.org/openstacksdk/latest/index.html.